cascading.util

## Class Version

- java.lang.Object
- - cascading.util.Version

-     public class Version
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CASCADING`
    `static java.lang.String` | `CASCADING_BUILD_NUMBER`
    `static java.lang.String` | `CASCADING_RELEASE_MAJOR`
    `static java.lang.String` | `CASCADING_RELEASE_MINOR`
    `static java.util.Properties` | `versionProperties`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Version()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getRelease()`
    `static java.lang.String` | `getReleaseBuild()`
    `static java.lang.String` | `getReleaseFull()`
    `static java.lang.String` | `getReleaseMajor()`
    `static java.lang.String` | `getReleaseMinor()`
    `static java.lang.String` | `getVersionString()`
    `static boolean` | `hasAllVersionInfo()`
    `static boolean` | `hasMajorMinorVersionInfo()`
    `static java.util.Properties` | `loadVersionProperties()`
    `static void` | `printBanner()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CASCADING_RELEASE_MAJOR

          public static final java.lang.String CASCADING_RELEASE_MAJOR

      See Also:
        Constant Field Values

    - #### CASCADING_RELEASE_MINOR

          public static final java.lang.String CASCADING_RELEASE_MINOR

      See Also:
        Constant Field Values

    - #### CASCADING_BUILD_NUMBER

          public static final java.lang.String CASCADING_BUILD_NUMBER

      See Also:
        Constant Field Values

    - #### CASCADING

          public static final java.lang.String CASCADING

      See Also:
        Constant Field Values

    - #### versionProperties

          public static java.util.Properties versionProperties

  - ### Constructor Detail

    - #### Version

          public Version()

  - ### Method Detail

    - #### printBanner

          public static void printBanner()

    - #### getVersionString

          public static java.lang.String getVersionString()

    - #### getRelease

          public static java.lang.String getRelease()

    - #### getReleaseFull

          public static java.lang.String getReleaseFull()

    - #### hasMajorMinorVersionInfo

          public static boolean hasMajorMinorVersionInfo()

    - #### hasAllVersionInfo

          public static boolean hasAllVersionInfo()

    - #### getReleaseBuild

          public static java.lang.String getReleaseBuild()

    - #### getReleaseMinor

          public static java.lang.String getReleaseMinor()

    - #### getReleaseMajor

          public static java.lang.String getReleaseMajor()

    - #### loadVersionProperties

          public static java.util.Properties loadVersionProperties()
                                                            throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.